ChangeSet 1.811.1.15, 2002/12/16 11:55:06-08:00, david-b@pacbell.net

[PATCH] remove CONFIG_USB_LONG_TIMEOUT

This matches 2.5.latest ... the config option isn't needed,
since neither timeout was actually as large as what the
USB spec says (5 seconds).  It'll prevent some devices
from failing to enumerate (like MGE Ellips UPSes).


diff -Nru a/drivers/usb/Config.in b/drivers/usb/Config.in
--- a/drivers/usb/Config.in	Mon Dec 16 16:33:51 2002
+++ b/drivers/usb/Config.in	Mon Dec 16 16:33:51 2002
@@ -15,7 +15,6 @@
    else
       define_bool CONFIG_USB_BANDWIDTH n
    fi
-   bool '  Long timeout for slow-responding devices (some MGE Ellipse UPSes)' CONFIG_USB_LONG_TIMEOUT
 
    comment 'USB Host Controller Drivers'
    source drivers/usb/hcd/Config.in
diff -Nru a/drivers/usb/usb.c b/drivers/usb/usb.c
--- a/drivers/usb/usb.c	Mon Dec 16 16:33:51 2002
+++ b/drivers/usb/usb.c	Mon Dec 16 16:33:51 2002
@@ -1785,17 +1785,17 @@
  * These are the actual routines to send
  * and receive control messages.
  */
-#ifdef CONFIG_USB_LONG_TIMEOUT
-#define GET_TIMEOUT 4
-#else
-#define GET_TIMEOUT 3
-#endif
-#define SET_TIMEOUT 3
+
+/* USB spec identifies 5 second timeouts.
+ * Some devices (MGE Ellipse UPSes, etc) need it, too.
+ */
+#define GET_TIMEOUT 5
+#define SET_TIMEOUT 5
 
 int usb_set_address(struct usb_device *dev)
 {
 	return usb_control_msg(dev, usb_snddefctrl(dev), USB_REQ_SET_ADDRESS,
-		0, dev->devnum, 0, NULL, 0, HZ * GET_TIMEOUT);
+		0, dev->devnum, 0, NULL, 0, HZ * SET_TIMEOUT);
 }
 
 int usb_get_descriptor(struct usb_device *dev, unsigned char type, unsigned char index, void *buf, int size)
